<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.czg.service.account.mapper.ShopStaffPermissionMapper">

    <select id="getPermissionByStaffId" resultType="com.czg.account.entity.ShopPermission">
        select b.* from tb_shop_staff_permission as a left join tb_shop_permission as b on a.permission_id=b.id
        where a.shop_id=#{shopId} and a.staff_id=#{staffId} and a.user_id=#{userId}
    </select>
</mapper>
